GearmanTask::dataSize
GearmanTask::functionName
GearmanTask
PHP Manual

# GearmanTask::function

(PECL gearman <= 0.5.0)

GearmanTask::function — Get associated function name (deprecated)

### Description

public string GearmanTask::function ( void )

Returns the name of the function this task is associated with, i.e., the function the Gearman worker calls.

> Note:

> This method has been replaced by GearmanTask::functionName() in the 0.6.0 release of the Gearman extension.

### Parameters

This function has no parameters.

### Return Values

A function name.

GearmanTask::dataSize
GearmanTask::functionName
GearmanTask
PHP Manual